import { defineConfig } from 'vite'
import uni from '@dcloudio/vite-plugin-uni'
 
export default defineConfig({
	plugins: [
		uni()
	],
	server: {
		proxy: {
			'/server3': {
				target: 'http://192.168.1.42', // 目标服务  
				changeOrigin: true,
				rewrite: path => path.replace(/^\/server3/, ''),
			},
			"/ysk" : {
			    // 需要被代理的后台地址
			    "target" : "http://192.168.1.42",
				"changeOrigin": true,
			   rewrite: (path) => path.replace(/^\/ysk/, '')
			},
		}
	}
})
